<!--MODALS-->
<div>
	<!-- Modal registro cliente -->
 	<div class="modal fade" id="modalRegistro" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="modalRegistroLabel" aria-hidden="true">
		<div class="modal-dialog">
		    <div class="modal-content">
		      <div class="modal-header">
		      		<h5 class="modal-title col-11 text-center" id="modalRegistroLabel">Registrarse</h5>
		        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
		      </div>
		      <div class="modal-body">
		      	<form id="formClienteNuevo" class="needs-validation" novalidate>
					<div class="mb-3">
						<label for="txtNombreCliente" class="form-label">Nombre completo</label>
						<input type="text" class="form-control" name="txtNombreCliente" id="txtNombreCliente" placeholder="Pedro Chavez Perez" required>
						<div class="invalid-feedback">Ingrese su nombre completo</div>
					</div>
					<div class="mb-3">
						<label for="txtNumeroDniCliente" class="form-label">Número de DNI</label>
						<input type="number" class="form-control" name="txtNumeroDniCliente" id="txtNumeroDniCliente" placeholder="87654321" required>
						<div class="invalid-feedback">Ingrese su número de DNI</div>
					</div>
					<div class="mb-3 ">
						<label class="form-label">Género</label>
						<div class="">
							<div class="form-check">
							  <input class="form-check-input" type="radio" name="rbGenero" id="rbMasculino" required>
							  <label class="form-check-label" for="rbMasculino">Masculino</label>
							</div>
							<div class="form-check">
							  <input class="form-check-input" type="radio" name="rbGenero" id="rbFemenino" required>
							  <label class="form-check-label" for="rbFemenino">Femenino</label>
							</div>
							<div class="mb-3 form-check">
							  <input class="form-check-input" type="radio" name="rbGenero" id="rbOtros" required>
							  <label class="form-check-label" for="rbOtros">Otros</label>
							  <input type="text" class="form-control form-control-sm" name="txtGenero" id="txtGenero" style="display: none;" placeholder="Escriba su género aquí" required>
							</div>
						</div>
					</div>		
					<div class="mb-3">
						<label for="txtTelefonoCliente" class="form-label">Número de Celular</label>
						<input type="tel" class="form-control" name="txtTelefonoCliente" id="txtTelefonoCliente" placeholder="987654321" maxlength="9" required>
						<div class="invalid-feedback">Ingrese número de Celular</div>
					</div>
					<div class="mb-3">
						<label for="txtDireccionCliente" class="form-label">Direccion</label>
						<input type="tel" class="form-control" name="txtDireccionCliente" id="txtDireccionCliente" placeholder="Panamericana Norte, Av. Alfredo Mendiola 6377, Los Olivos 15306" required>
						<div class="invalid-feedback">Ingrese una dirección</div>
					</div>
					<div class="mb-3">
						<label for="txtCorreoCliente" class="form-label">Correo</label>
						<input type="email" class="form-control" name="txtCorreoCliente" id="txtCorreoCliente" placeholder="ejemplo@email.com" required>
						<div class="invalid-feedback">Ingrese correo</div>
					</div>
					<div class="mb-3">
						<label for="txtclave" class="form-label">Contraseña</label>
						<input type="password" class="form-control" name="txtclave" id="txtclave" placeholder="•••••••" required>
						<div class="invalid-feedback">Ingrese una contraseña</div>
					</div>
					<div class="mb-3">
						<label for="txtclaveConfirmar" class="form-label">Confirmar Contraseña</label>
						<input type="password" class="form-control" name="txtclaveConfirmar" id="txtclaveConfirmar" placeholder="•••••••" required>
						<div class="invalid-feedback">Contraseñas no se parecen</div>
					</div>
				</form>
		      </div>	
		      <div class="modal-footer">
		        <button type="button" class="btn btn-secondary">Cancelar</button>
		        <button type="button" class="btn btn-outline-success" id="btnEnviarFormNuevoCliente">Confirmar</button>
		      </div>
		    </div>
		</div>
	</div>

	<!-- Modal Login -->
 	<div class="modal fade" id="modalLogin" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="modalLoginLabel" aria-hidden="true">
	  <div class="modal-dialog modal-dialog-centered">
	    <div class="modal-content">
	       	<div class="modal-header">
	      		<h5 class="modal-title col-11 text-center" id="modalLoginLabel">Iniciar Sesión</h5>
	        	<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
	      	</div>
		     <div class="modal-body">
		      	<form class="form needs-validation" id="formLogin" novalidate>
					<div class="mb-3">
					    <label for="txtCorreoCliente" class="form-label">Correo Eléctronico</label>
					    <input type="email" class="form-control" id="txtCorreoLogin" name="email" placeholder="ejemplo@email.com" required>
					</div>
					<div class="mb-3">
						<label for="txtPassCliente" class="form-label">Contraseña</label>
						<input type="password" class="form-control" id="txtPassLogin" name="password" placeholder="•••••••" required>
					</div>
					<div class="mb-3 form-check">
						<input type="checkbox" class="form-check-input" id="cbSesion" name="cbSesion">
						<label class="form-check-label" for="cbSesion">Mantenerme sesión abierta</label>
					</div>
				</form>
		     </div>	
	      <div class="modal-footer">
	      	<center class="col-12">
		        <button type="button" class="btn btn-outline-success" id="btnIniciarSesion">Iniciar Sesión</button>	
	      	</center>
	      </div>
	    </div>
	  </div>
	</div>

	<!-- Modal Cerrar sesion -->
 	<div class="modal fade" id="modalConfirmacionCerrarSesion" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="modalConfirmacionCerrarSesionLabel" aria-hidden="true">
	  <div class="modal-dialog modal-dialog-centered">
	    <div class="modal-content">
	       	<div class="modal-header">
	      		<h5 class="modal-title col-11 text-center" id="modalConfirmacionCerrarSesionLabel">¿Desea cerrar la sesión?</h5>
	        	<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
	      	</div>
		     <div class="modal-body">
		      	<div class="row text-center">
		      		<div class="col">
		      			<a class="btn btn-danger" href="functions/CerrarSesion.php">Cerrar Session</a>
		      			<button type="button" class="btn btn-primary" data-bs-dismiss="modal">Cancelar</button>
		      		</div>
		      	</div>
		     </div>	
	    </div>
	  </div>
	</div>
</div>
<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
	<div class="container-fluid">
	    <a class="navbar-brand" href="index.html"><img src="img/logo.png" width="100px"></a>
	    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
	      <span class="navbar-toggler-icon"></span>
	    </button>
	    <div class="collapse navbar-collapse" id="navbarSupportedContent">
	      <ul class="navbar-nav me-auto mb-2 mb-lg-0">
	        <li class="nav-item">
	          <a class="nav-link active" id="index" aria-current="page" href="index.html">Inicio</a>
	        </li>
	        <li class="nav-item">
	          <a class="nav-link" id="productos" href="productos.html">Productos</a>
	        </li>
	        <li class="nav-item">
	          <a class="nav-link" id="contacto" href="contacto.html">Contactanos</a>
	        </li>
	          <li class="nav-item">
	          <a class="nav-link" id="carshop" href="carrito_compras.html">Carrito de compras</a>
	        </li>
	      </ul>
	      <form class="d-flex me-3">
	        <input class="form-control form-control-sm me-2" id="txtBuscar" type="search" placeholder="Buscar" aria-label="Buscar">
	    	<div class="list-group" id="campoResultados" style="display: none; min-width: 16rem;">
				<a href="#" class="list-group-item list-group-item-action" aria-current="true">Buscando..</a>
	        </div>
	        <!--<button class="btn btn-sm btn-primary" type="submit"><i class="bi bi-search"></i></button>-->
	      </form>
	      <div class="d-flex me-2">
	      	<center class="col-12 navbar-nav me-auto" id="usuarioLogeado">
	      		<button class="btn btn-sm btn-info me-2" type="button" data-bs-toggle="modal" data-bs-target="#modalLogin">Iniciar Sesión</button>
	        	<button class="btn btn-sm btn-primary" type="button" data-bs-toggle="modal" data-bs-target="#modalRegistro">Registrarse</button>	
	      	</center>
	      </div>
	    </div>
	</div>
</nav>
<div id="alertas">
	<svg xmlns="http://www.w3.org/2000/svg" style="display: none;">
		<symbol id="check-circle-fill" fill="currentColor" viewBox="0 0 16 16">
			<path d="M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0zm-3.97-3.03a.75.75 0 0 0-1.08.022L7.477 9.417 5.384 7.323a.75.75 0 0 0-1.06 1.06L6.97 11.03a.75.75 0 0 0 1.079-.02l3.992-4.99a.75.75 0 0 0-.01-1.05z"/>
		</symbol>
		<symbol id="info-fill" fill="currentColor" viewBox="0 0 16 16">
			<path d="M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm.93-9.412-1 4.705c-.07.34.029.533.304.533.194 0 .487-.07.686-.246l-.088.416c-.287.346-.92.598-1.465.598-.703 0-1.002-.422-.808-1.319l.738-3.468c.064-.293.006-.399-.287-.47l-.451-.081.082-.381 2.29-.287zM8 5.5a1 1 0 1 1 0-2 1 1 0 0 1 0 2z"/>
		</symbol>
		<symbol id="exclamation-triangle-fill" fill="currentColor" viewBox="0 0 16 16">
			<path d="M8.982 1.566a1.13 1.13 0 0 0-1.96 0L.165 13.233c-.457.778.091 1.767.98 1.767h13.713c.889 0 1.438-.99.98-1.767L8.982 1.566zM8 5c.535 0 .954.462.9.995l-.35 3.507a.552.552 0 0 1-1.1 0L7.1 5.995A.905.905 0 0 1 8 5zm.002 6a1 1 0 1 1 0 2 1 1 0 0 1 0-2z"/>
		</symbol>
	</svg>
</div>
<script type="text/javascript">
	function buscarProducto() {
		let valorBusqueda = $("#txtBuscar").val();
		$.post('functions/BuscarProductos.php', {valorBusqueda}, function(data, textStatus, xhr) {
			let response = JSON.parse(data);
			let html ="";
			response.BuscarProductos.forEach( function(element, index) {
				html += `<a href="producto.html?idMueble=${element.idMueble}" class="list-group-item list-group-item-action" aria-current="true">${element.nombreMueble}</a>`;
			});
			$("#campoResultados").html(html)
		});
	}

	$('#txtBuscar').keyup(function(event) {
		let valBusqueda = $('#txtBuscar').val();
		if (valBusqueda.length>3) {
			buscarProducto();
			$("#campoResultados").show('fast');
		}else{
			$("#campoResultados").hide('fast');
		}
	});
	$('#txtBuscar').focusin(function(event) {
		let valBusqueda = $('#txtBuscar').val();
		if (valBusqueda.length>3) {
			buscarProducto();
			$("#campoResultados").show('fast');
		}else{
			$("#campoResultados").hide('fast');
		}
	});
	$('#txtBuscar').focusout(function(event) {
		$("#campoResultados").hide('slow');
	});

</script>
